Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.model
Class HLEntityFactory<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.model.HLEntityFactory<E>

    public final class HLEntityFactory<E>

extends Object

Field Summary
`private Map<E,Reference<HLEntity<E>>>` | `cache`
`static Map<fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<?>,HLEntityFactory<?>>` | `FACTORIES`
`private fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E>` | `onto`

Constructor Summary
`private` | `HLEntityFactory(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> onto)`

Method Summary
`HLEntity<E>` | `createHLEntity(E obj)`
`protected Set<? extends HLEntity<E>>` | `getFrom(Set<E> entities)`
`static
`<T> HLEntityFactory<T>`
` | `getInstance(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<T> ont)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORIES

    public static final Map<fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<?>,HLEntityFactory<?>> FACTORIES

### cache

    private final Map<E,Reference<HLEntity<E>>> cache

### onto

    private fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> onto

Constructor Detail

### HLEntityFactory

    private HLEntityFactory(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> onto)

Method Detail

### getInstance

    public static <T> HLEntityFactory<T> getInstance(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<T> ont)

### createHLEntity

    public final HLEntity<E> createHLEntity(E obj)

### getFrom

    protected Set<? extends HLEntity<E>> getFrom(Set<E> entities)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009